# $Revision: 1.85 $, $Date: 2003/07/03 21:42:31 $
# Conditional build:
#
# _without_gnome	- don't build with Gnome
# _without_gnome_applet	- don't build Gnome applet
# _without_kde		- don't build KDE applet
# _without_wm_applet	- don't build WM applet
# _without_sound	- disable sound support

# This looks like overkill but some day we might have *everything* bconded :)
%{!?_without_gnome:%define _need_gnome	1}
%{!?_without_gnome:%define _need_esd   1}
%{!?_without_gnome_applet:%define	_need_gnome	1}
%{!?_without_gnome_applet:%define _nees_esd   1}
%{!?_without_kde:%define _need_arts	1}
%{!?_without_wm_applet:%define _need_esd	1}

Summary:	GNU Gadu - free talking
Summary(pl):	GNU Gadu - wolne gadanie
Name:		gg
Version:	1.0.0
Release:	3
Epoch:		5
License:	GPL
Group:		Applications/Communications
Source0:	http://dl.sf.net/ggadu/%{name}-%{version}.tar.gz
# Source0-md5:	7b32d4c866ef59dfe22373a83b1a9a2a
Source1:	%{name}.png
Source2:	%{name}_gnome.desktop
Source3:	%{name}_WM_applet.desktop
Source4:	%{name}_KDE.desktop
Patch0:		http://piorun.ds.pg.gda.pl/~blues/patches/gg-debian_fixes.patch
Icon:		gg.xpm
URL:		http://gadu.gnu.pl/
%{?_need_arts:BuildRequires:	arts-devel}
%if %{!?_without_sound:1}%{?_without_sound:0}
%{?_need_esd:BuildRequires:		esound-devel > 0.2.7}
%endif
%{?_need_gnome:BuildRequires:	gnome-libs-devel}
%{?_need_gnome:BuildRequires:	gnome-core-devel}
BuildRequires:	gtk+-devel > 1.2.8
BuildRequires:	xmms-devel

BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/X11/GNOME
%define 	_prefix			/usr/X11R6

%description
Gadu-Gadu client released on GNU/GPL.

%description -l pl
Klient Gadu-Gadu na licencji GNU/GPL.

%package common
Summary:	GNU Gadu - free talking - common files
Summary(pl):	GNU Gadu - wolne gadanie - wsplne pliki
Group:		Applications/Communications
Obsoletes:	gg =< 0.2.0

%description common
Gadu-Gadu client released on GNU/GPL.

%description common -l pl
Klient Gadu-Gadu na licencji GNU/GPL.

%package X11
Summary:	GNU Gadu - free talking
Summary(pl):	GNU Gadu - wolne gadanie
Group:		Applications/Communications
PreReq:		%{name}-common = %{epoch}:%{version}
Provides:	gg = %{epoch}:%{version}-%{release}

%description X11
Gadu-Gadu client released on GNU/GPL.

%description X11 -l pl
Klient Gadu-Gadu na licencji GNU/GPL. Wersja dla X11.

%package gnome
Summary:	GNU Gadu - free talking - GNOME version
Summary(pl):	GNU Gadu - wolne gadanie - wersja dla GNOME
Group:		Applications/Communications
PreReq:		%{name}-common = %{epoch}:%{version}
Provides:	gg = %{epoch}:%{version}-%{release}

%description gnome
Gadu-Gadu client released on GNU/GPL. GNOME version

%description gnome -l pl
Klient Gadu-Gadu na licencji GNU/GPL. Wersja dla GNOME.

%package gnome-applet
Summary:	GNU Gadu - free talking - GNOME dockable version
Summary(pl):	GNU Gadu - wolne gadanie - wersja dokowalna dla GNOME
Group:		Applications/Communications
PreReq:		%{name}-common = %{epoch}:%{version}
Provides:	gg = %{epoch}:%{version}-%{release}

%description gnome-applet
Gadu-Gadu client released on GNU/GPL. GNOME dockable version

%description gnome-applet -l pl
Klient Gadu-Gadu na licencji GNU/GPL. Wersja dokowalna dla gnome.

%package wm-applet
Summary:	GNU Gadu - free talking - WindowMaker dockable version
Summary(pl):	GNU Gadu - wolne gadanie - wersja dokowalna dla WindowMaker'a
Group:		Applications/Communications
PreReq:		%{name}-common = %{epoch}:%{version}
Provides:	gg = %{epoch}:%{version}-%{release}

%description wm-applet
Gadu-Gadu client released on GNU/GPL. WindowMaker dockable version

%description wm-applet -l pl
Klient Gadu-Gadu na licencji GNU/GPL. Wersja dokowalna dla
WindowMaker'a.

%package kde
Summary:	GNU Gadu - free talking - KDE version
Summary(pl):	GNU Gadu - wolne gadanie - wersja dla KDE
Group:		Applications/Communications
PreReq:		%{name}-common = %{epoch}:%{version}
Provides:	gg = %{epoch}:%{version}-%{release}

%description kde
Gadu-Gadu client released on GNU/GPL. KDE version

%description kde -l pl
Klient Gadu-Gadu na licencji GNU/GPL. Wersja dla KDE.

%prep
%setup -q 
%patch0 -p1

%build
LDFLAGS=" -L%{_libdir} %{rpmldflags}"

%if %{!?_without_gnome_applet:1}%{?_without_gnome_applet:0}
%configure \
	%{?_without_sound:--disable-esd} \
	--enable-gnome \
	--enable-panel \
	--enable-xmms
%{__make}
mv -f src/gg src/gg_applet
%{__make} clean
%endif

%if %{!?_without_gnome:1}%{?_without_gnome:0}
%configure \
	%{?_without_sound:--disable-esd} \
	--enable-gnome \
	--enable-xmms
%{__make}
mv -f src/gg src/gg_gnome
%{__make} clean
%endif

%if %{!?_without_wm_applet:1}%{?_without_wm_applet:0}
%configure \
	%{?_without_sound:--disable-esd} \
	--enable-dockapp \
	--enable-xmms
%{__make}
mv -f src/gg src/gg_wm
%{__make} clean
%endif

%if %{!?_without_kde:1}%{?_without_kde:0}
%configure \
	--enable-docklet \
	%{!?_without_sound:--enable-arts} \
	--disable-esd \
	--enable-xmms
%{__make}
mv -f src/gg src/gg_kde
%{__make} clean
%endif

%configure %{?_without_sound:--disable-esd} --enable-xmms
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Network/Communications,%{_datadir}/applets/Network} \
	$RPM_BUILD_ROOT{%{_sysconfdir}/CORBA/servers,%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{!?_without_gnome_applet:install src/gg_applet $RPM_BUILD_ROOT%{_bindir}}
%{!?_without_gnome:install src/gg_gnome $RPM_BUILD_ROOT%{_bindir}}
%{!?_without_wm_applet:install src/gg_wm $RPM_BUILD_ROOT%{_bindir}}
%{!?_without_kde:install src/gg_kde $RPM_BUILD_ROOT%{_bindir}}

sed -e 's/xpm$/png/' src/GnuGadu.desktop \
	> $RPM_BUILD_ROOT%{_applnkdir}/Network/Communications/GnuGadu.desktop
sed -e 's/xpm$/png/' -e 's/Exec=gg/Exec=gg_applet\ --activate-goad-server=gg/' \
	src/GnuGadu.desktop > $RPM_BUILD_ROOT%{_datadir}/applets/Network/GnuGadu.desktop

install %{SOURCE1} $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_applnkdir}/Network/Communications/GnuGadu_gnome.desktop
install %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/applets/Network/GnuGadu_WM_applet.desktop
install %{SOURCE4} $RPM_BUILD_ROOT%{_applnkdir}/Network/Communications/GnuGadu_KDE.desktop
install src/GnuGadu.gnorba $RPM_BUILD_ROOT%{_sysconfdir}/CORBA/servers/

%clean
rm -rf $RPM_BUILD_ROOT

%files common
%defattr(644,root,root,755)
%doc README ChangeLog TODO
%{_datadir}/gg
%{_pixmapsdir}/*

%files X11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gg
%{_applnkdir}/Network/Communications/GnuGadu.desktop

%if %{!?_without_gnome:1}%{?_without_gnome:0}
%files gnome
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gg_gnome
%{_applnkdir}/Network/Communications/GnuGadu_gnome.desktop
%endif

%if %{!?_without_gnome_applet:1}%{?_without_gnome_applet:0}
%files gnome-applet
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gg_applet
%{_datadir}/applets/Network/GnuGadu.desktop
%{_sysconfdir}/CORBA/servers/GnuGadu.gnorba
%endif

%if %{!?_without_wm_applet:1}%{?_without_wm_applet:0}
%files wm-applet
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gg_wm
%{_datadir}/applets/Network/GnuGadu_WM_applet.desktop
%endif

%if %{!?_without_kde:1}%{?_without_kde:0}
%files kde
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gg_kde
%{_applnkdir}/Network/Communications/GnuGadu_KDE.desktop
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gg.spec,v $
Revision 1.85  2003/07/03 21:42:31  blues
- release 3 - added debian patch by Marcin Owsiany <porridge@debian.org>

Revision 1.84  2003/06/11 14:16:01  ankry
- added md5, fixed URL

Revision 1.83  2003/05/25 05:47:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.82  2003/04/20 17:05:18  blues
- release 2 - small final cleanup

Revision 1.81  2003/04/20 16:58:04  blues
- release 1.2 - fixed with applets

Revision 1.80  2003/04/20 16:44:43  blues
- release 1.1 - (finally) removed all of the crazy post jobs. It was not
  working fine - last installed was directly avaible only... NFY

Revision 1.79  2003/03/19 14:57:27  orzech
- fixed Source0

Revision 1.78  2003/02/19 09:18:16  tiwek
- upgraded to new 1.0.0 stable version
  - Build in RA
    - Send to updates in RA ?

Revision 1.77  2003/02/09 09:30:59  tiwek
- updated to 1.0.0pre2
- working now

Revision 1.76  2003/02/02 18:47:27  blues
- 1.0.0rc1 - wm dockapp does not build, enabled xmms extension for status

Revision 1.75  2003/02/02 14:50:20  blues
- changed name scheme (epoch bumped) - STBR to Ra updates general

Revision 1.74  2003/01/18 22:48:35  juandon
- removed two lines with define

Revision 1.73  2003/01/16 14:35:03  matkor
- Version 1.0.0pre2

Revision 1.72  2002/12/13 15:24:03  ankry
- adapterized

Revision 1.71  2002/12/02 11:06:18  ankry
- massive cleaning

Revision 1.70  2002/11/04 15:11:27  misiek
- updated to 1.0.0pre1

Revision 1.69  2002/09/08 23:06:06  adgor
- Release 4

Revision 1.68  2002/09/08 22:01:52  adgor
- Fixed desktopfile in kde subpakage.

Revision 1.67  2002/08/29 23:19:33  blues
- release 3 - rebuild with new arts

Revision 1.66  2002/07/17 16:42:39  blues
- new doc

Revision 1.65  2002/07/17 13:57:05  mmazur
- fixed a bug; rel2
- STBRKJM (kloczek hurry up... or I'll send users after you :)

Revision 1.64  2002/07/13 21:17:19  blues
- release 1
- correct sources (author is cheating ;) )
STBR

Revision 1.63  2002/07/07 20:43:33  mmazur
- updated to 0.2.4

Revision 1.62  2002/07/05 10:45:02  tiwek
- added patch from mmazur (sigsev)
- release 2
- STBR

Revision 1.61  2002/06/30 09:48:52  tiwek
- updates to 0.2.3
- STBR

Revision 1.60  2002/06/22 17:06:29  adgor
- Fixed some %%attr

Revision 1.59  2002/06/13 12:20:40  tiwek
- release 5
- added patch for encode password (wojtekka)

Revision 1.58  2002/06/13 07:04:25  tiwek
- revert to 0.2.2.1 :(
- not work if you use with ekg (sorry).

Revision 1.56  2002/06/02 15:52:33  mmazur
- added optional sound

Revision 1.55  2002/06/02 12:18:37  mmazur
- no idea what this _release thing was used for anyway
  doesn't seem to break anything

Revision 1.54  2002/06/02 12:09:35  mmazur
- forgot one thing... now it works

Revision 1.53  2002/06/02 11:33:04  mmazur
- everything got bconded now :)

Revision 1.52  2002/06/02 08:17:31  tiwek
- BuildReq: arts-devel

Revision 1.51  2002/06/02 06:41:44  tiwek
- enable aRts fok KDE docklet
- not compile in my env. (error linking libstdc++, conflict .so.2 with so.4)
- release 4
- STBR and if compile move to /test

Revision 1.50  2002/05/29 12:04:59  pascalek
- Release 3, new home etc patch

Revision 1.49  2002/05/29 11:36:32  orzech
- typo

Revision 1.48  2002/05/29 11:32:23  orzech
- new home_etc patch
- adapterized

Revision 1.47  2002/05/29 08:52:35  pascalek
- Release 2
- homedir patch added

Revision 1.46  2002/05/01 19:47:42  aflinta
- updated to version 0.2.2.1

Revision 1.45  2002/04/25 16:22:57  arturs
fixed a small typo

Revision 1.44  2002/04/15 11:21:12  tiwek

- $release++++ :)
- STBR

Revision 1.43  2002/04/15 09:50:13  tiwek


- updated to 0.2.2pre7 (more bugfixes)
- STBR

Revision 1.42  2002/04/04 11:05:43  tiwek

- added gg-sigsev.patch
- release 2
- STBR (with patch, hihi)

Revision 1.41  2002/03/27 12:25:27  tiwek

- updated to 0.2.2pre6
- STBR

Revision 1.40  2002/03/23 15:20:26  blues
- epoch is back....

Revision 1.39  2002/03/08 17:28:55  blues
- 0.2.2pre5
- not tested yet... builds fine

Revision 1.38  2002/02/23 02:17:44  kloczek
- adapterized.

Revision 1.37  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.36  2002/02/07 16:29:50  tiwek
- release 2.pre2
- first release for WindowMaker and KDE (test plase)
- STBR (/test)

Revision 1.35  2002/02/07 16:01:57  tiwek
- updated to 0.2.2pre2 (work fine)
- (autorespod, sounds off ...)

Revision 1.34  2002/01/18 20:50:01  kloczek
- release 4.

Revision 1.33  2002/01/18 20:10:59  qboosh
- s/pld-list/feedback/, uncommented %%clean, cosmetics

Revision 1.32  2002/01/18 07:27:21  tiwek
- added window-size patch
- release 3

Revision 1.30  2002/01/15 07:02:33  tiwek
- updates do 0.2.1 (stable)
- release 2

Revision 1.29  2002/01/12 10:39:59  tiwek
- updated to 0.2.1pre5
- release 1.pre5 :(
- sorry, patch name (bug = literowka) :)

Revision 1.28  2002/01/04 11:50:24  blues
- Obsoletes =<

Revision 1.27  2002/01/04 11:35:36  tiwek
- updated to 0.2.1pre4, works fine
- STBR

Revision 1.26  2002/01/04 10:53:30  tiwek
- a little bug

Revision 1.25  2002/01/02 09:42:59  tiwek
- cosmetic
- Added icon to desktop file
- Added links to post
- STBR

Revision 1.24  2001/12/19 19:41:23  tiwek
- a little bug
- a teraz po polsku, czy ktos moze przejrzec speca i zrobic
  zeby wszystkie binarki nazywaly sie tak samo ? TiweK

Revision 1.23  2001/12/19 19:25:31  tiwek
- added gnome version
- STBR

Revision 1.22  2001/12/07 08:01:54  tiwek
- some changes in specfile
- creating common package with common files (pixmaps, sounds)
  and X11 and gnome packages with simply binaries and desktop files.

Revision 1.21  2001/12/04 08:01:54  tiwek
- release 3
- patch merged witch source by autor
- some changes

Revision 1.20  2001/12/04 06:18:40  kloczek
- pass %%{rpmldflags} in LDFLAGS.

Revision 1.19  2001/12/03 22:03:55  tiwek
- added writecontact patch (send patch to autor)
- release 2

Revision 1.18  2001/12/03 19:54:28  tiwek
- updated to 0.2.0

Revision 1.17  2001/11/23 10:56:58  tiwek
- updated to pre5

Revision 1.16  2001/11/21 09:48:58  blues
- one more doc

Revision 1.15  2001/11/20 11:27:28  tiwek
- updated to pre4 (NICE)
- STBR

Revision 1.14  2001/11/16 08:59:30  tiwek
- updated to 0.2.pre3

Revision 1.13  2001/11/14 00:09:05  misiek
- added missing group

Revision 1.12  2001/11/12 20:46:51  kloczek
- release 2.

Revision 1.11  2001/11/11 20:02:30  speedy
- BuildRequires:  gnome-libs-devel
- BuildRequires:  gnome-core-devel

Revision 1.10  2001/11/11 13:14:56  tiwek
- updated to 0.2.pre2
- it's better
- czy ktos moze zobaczyc co jest nie tak z
  _datadir/applets/Network/gnu_gadu_applet
  czemu tego nie widac w apletach gnome ?

Revision 1.9  2001/11/07 21:59:08  blues
0.1.2

Revision 1.8  2001/10/25 08:12:40  kloczek
- added Epoch: 1 for allow upgrade from 0.1.pre6.

Revision 1.7  2001/10/25 08:04:48  tiwek
- updated to first stable (?) version 0.1
STBR

Revision 1.6  2001/10/19 12:20:10  kloczek
- Icon dor desktop file changed to 48x48 png file,
- added %%{_datadir}/gg to %files,
- added %doc files.

Revision 1.5  2001/10/19 08:36:22  qboosh
- en translations, fixed %%changelog
